From 8fe20883e248572690798e4dd1423511aa2f4e5d Mon Sep 17 00:00:00 2001
From: Thomas Deutschmann <whissi@gentoo.org>
Date: Thu, 22 Sep 2016 00:53:58 +0200
Subject: [PATCH 1/3] Remove bundled libltdl

---
 Makefile.am  | 6 ------
 configure.ac | 8 ++++----
 2 files changed, 4 insertions(+), 10 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 03bdd39..ad04a3c 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,11 +1,5 @@
-ACLOCAL_AMFLAGS = -I libltdl/m4
-
 SUBDIRS =
 
-if BUILD_INCLUDED_LTDL
-SUBDIRS += libltdl
-endif
-
 SUBDIRS += proto src bindings .
 
 AM_CPPFLAGS = $(LTDLINCL)
diff --git a/configure.ac b/configure.ac
index 9a6da11..68e15e0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3,7 +3,6 @@ AC_PREREQ([2.60])
 AC_INIT([collectd],[m4_esyscmd(./version-gen.sh)])
 AC_CONFIG_SRCDIR(src/target_set.c)
 AC_CONFIG_HEADERS(src/config.h)
-AC_CONFIG_AUX_DIR([libltdl/config])
 
 dnl older automake's default of ARFLAGS=cru is noisy on newer binutils;
 dnl we don't really need the 'u' even in older toolchains.  Then there is
@@ -13,7 +12,6 @@ m4_divert_text([DEFAULTS], [: "${ARFLAGS=cr} ${AR_FLAGS=cr}"])
 m4_ifdef([LT_PACKAGE_VERSION],
 	# libtool >= 2.2
 	[
-	 LT_CONFIG_LTDL_DIR([libltdl])
 	 LT_INIT([dlopen])
 	 LTDL_INIT([convenience])
 	 AC_DEFINE(LIBTOOL_VERSION, 2, [Define to used libtool version.])
@@ -25,12 +23,14 @@ m4_ifdef([LT_PACKAGE_VERSION],
 	 AC_SUBST(LTDLINCL)
 	 AC_SUBST(LIBLTDL)
 	 AC_LIBTOOL_DLOPEN
-	 AC_CONFIG_SUBDIRS(libltdl)
 	 AC_DEFINE(LIBTOOL_VERSION, 1, [Define to used libtool version.])
 	]
 )
 
-AM_CONDITIONAL([BUILD_INCLUDED_LTDL], [test "x$LTDLDEPS" != "x"])
+if test "x$LTDLDEPS" != "x"
+then
+	AC_MSG_ERROR(["system's libltdl is too old! Should never happen. Please file a bug at https://bugs.gentoo.org"])
+fi
 
 AM_INIT_AUTOMAKE([subdir-objects tar-pax dist-bzip2 no-dist-gzip foreign])
 m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
-- 
2.10.0


From 0b00f519ce183b8ceaab5cf8e56f574ecd2cb7c4 Mon Sep 17 00:00:00 2001
From: Thomas Deutschmann <whissi@gentoo.org>
Date: Thu, 22 Sep 2016 00:54:08 +0200
Subject: [PATCH 2/3] Remove libhal dependency

X-Gentoo-Bug: 353839
X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=353839
---
 configure.ac | 24 ------------------------
 1 file changed, 24 deletions(-)

diff --git a/configure.ac b/configure.ac
index 68e15e0..1700c44 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1663,30 +1663,6 @@ AM_CONDITIONAL(BUILD_WITH_LIBRESOLV, test "x$with_libresolv" = "xyes")
 
 dnl Check for HAL (hardware abstraction library)
 with_libhal="no"
-PKG_CHECK_MODULES([HAL], [hal],
-  [
-    SAVE_LIBS="$LIBS"
-    LIBS="$HAL_LIBS $LIBS"
-    AC_CHECK_LIB([hal], [libhal_device_property_exists],
-      [
-        SAVE_CPPFLAGS="$CPPFLAGS"
-        CPPFLAGS="$HAL_CFLAGS $CPPFLAGS"
-        AC_CHECK_HEADERS([libhal.h],
-        [
-          with_libhal="yes"
-          BUILD_WITH_LIBHAL_CFLAGS="$HAL_CFLAGS"
-          BUILD_WITH_LIBHAL_LIBS="$HAL_LIBS"
-        ])
-        CPPFLAGS="$SAVE_CPPFLAGS"
-      ],
-      [ : ]
-    )
-    LIBS="$SAVE_LIBS"
-  ],
-  [ : ]
-)
-AC_SUBST(BUILD_WITH_LIBHAL_CFLAGS)
-AC_SUBST(BUILD_WITH_LIBHAL_LIBS)
 
 
 SAVE_LIBS="$LIBS"
-- 
2.10.0


From 380c61888bed5856319fa32816d8f2f4c88ee7bc Mon Sep 17 00:00:00 2001
From: Thomas Deutschmann <whissi@gentoo.org>
Date: Thu, 22 Sep 2016 00:54:19 +0200
Subject: [PATCH 3/3] Link Oracle plug-in against libocci

Author: Aurelien Minet
X-Gentoo-Bug: 347607
X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=347607
---
 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index 1700c44..83909a0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3587,14 +3587,14 @@ AC_ARG_WITH(oracle, [AS_HELP_STRING([--with-oracle@<:@=ORACLE_HOME@:>@], [Path t
 ])
 if test "x$ORACLE_HOME" != "x"
 then
-	with_oracle_cppflags="-I$ORACLE_HOME/rdbms/public"
+	with_oracle_cppflags="-I$ORACLE_HOME/rdbms/public -locci"
 
 	if test -e "$ORACLE_HOME/lib/ldflags"
 	then
 		with_oracle_libs=`cat "$ORACLE_HOME/lib/ldflags"`
 	fi
 	#with_oracle_libs="-L$ORACLE_HOME/lib $with_oracle_libs -lclntsh"
-	with_oracle_libs="-L$ORACLE_HOME/lib -lclntsh"
+	with_oracle_libs="-L$ORACLE_HOME/lib -lclntsh -locci"
 fi
 if test "x$with_oracle" = "xyes"
 then
-- 
2.10.0

